<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>retoclase5</title>
</head>

<body>

    <form action="" name="formulario" method="get">
        <label for="auto">Ingrese marca de vehiculo</label>
        <input type="text" id="auto" name="auto"><br><br>
        <input type="text" name="agregar" id="agregar" value="Añadir">
        <input type="text" name="borrarPri" id="borrarPri" value="Borrar Primero">
        <input type="text" name="borrarUlt" id="borrarUlt" value="Borrar Ultimo">
    </form>
    <h1>Lista de vehiculos</h1>
    <div id="resultados"></div>
    <script type="text/javascript">
        let btnAgregar = document.getElementById('agregar');
        let btnBorrarPri = document.getElementById('borrarPri');
        let btnBorrarUlt = document.getElementById('borrarUlt');
        let resultado = [];
        let autos = [];

        btnAgregar.addEventListener('click', function () {
            let auto = document.getElementById('auto').value;
            autos.push(auto);
            document.getElementById('resultados').innerHTML = autos;
        })

        btnBorrarPri.addEventListener('click', function () {
            autos.shift();
            document.getElementById('resultados').innerHTML = autos;
        })

        btnBorrarUlt.addEventListener('click', function () {
            autos.pop();
            document.getElementById('resultados').innerHTML = autos;
        })


    </script>
</body>

</html>